Index: /LMDZ5/branches/testing/libf/phylmd/cosp/cosp_output_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cosp/cosp_output_mod.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/cosp/cosp_output_mod.F90	(revision 2669)
@@ -42,5 +42,5 @@
          "clmcalipso", "Lidar Mid-level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clhcalipso = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clhcalipso", "Lidar Hight-level Cloud Fraction", "%", (/ ('', i=1, 3) /))
+         "clhcalipso", "Lidar High-level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cltcalipso = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "cltcalipso", "Lidar Total Cloud Fraction", "%", (/ ('', i=1, 3) /)) 
@@ -145,5 +145,5 @@
          "clmmodis", "MODIS Mid-level Cloud Fraction", "1", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clhmodis = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clhmodis", "MODIS Hight-level Cloud Fraction", "1", (/ ('', i=1, 3) /))
+         "clhmodis", "MODIS High-level Cloud Fraction", "1", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cltmodis = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "cltmodis", "MODIS Total Cloud Fraction", "1", (/ ('', i=1, 3) /)) 
Index: /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2669)
@@ -1077,11 +1077,11 @@
         DO k = 1,nd
         write (6, '(i4,5(1x,e13.6))'), &
-          k, mp(idcum(igout),k), water(idcum(igout),k), ice(idcum(igout),k), &
-           evap(idcum(igout),k), fondue(idcum(igout),k)
+          k, mp(igout,k), water(igout,k), ice(igout,k), &
+           evap(igout,k), fondue(igout,k)
         ENDDO
         Print *, 'cva_driver after cv3_unsat: wdtrainA, wdtrainM '
         DO k = 1,nd
         write (6, '(i4,2(1x,e13.6))'), &
-           k, wdtrainA(idcum(igout),k), wdtrainM(idcum(igout),k)
+           k, wdtrainA(igout,k), wdtrainM(igout,k)
         ENDDO
       ENDIF
@@ -1129,12 +1129,12 @@
 !
       IF (debut) THEN
-        PRINT *, ' cv3_yield -> fqd(1) = ', fqd(idcum(igout), 1)
+        PRINT *, ' cv3_yield -> fqd(1) = ', fqd(igout, 1)
       END IF !(debut) THEN
 !   
       IF (prt_level >= 10) THEN
         Print *, 'cva_driver after cv3_yield:ft(1) , ftd(1) ', &
-                    ft(idcum(igout),1), ftd(idcum(igout),1)
+                    ft(igout,1), ftd(igout,1)
         Print *, 'cva_driver after cv3_yield:fq(1) , fqd(1) ', &
-                    fq(idcum(igout),1), fqd(idcum(igout),1)
+                    fq(igout,1), fqd(igout,1)
       ENDIF
 !   
Index: /LMDZ5/branches/testing/libf/phylmd/dimphy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/dimphy.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/dimphy.F90	(revision 2669)
@@ -9,7 +9,6 @@
   INTEGER,SAVE :: klevm1
   INTEGER,SAVE :: kflev
-  INTEGER,SAVE :: nslay
 
-!$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon,nslay)
+!$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon)
   REAL,save,allocatable,dimension(:) :: zmasq
 !$OMP THREADPRIVATE(zmasq)   
@@ -24,5 +23,4 @@
     
     klon=klon0
-    nslay=1 ! Slab, provisoire (F. Codron)
     kdlon=klon
     kidia=1
Index: /LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/fisrtilp.F90	(revision 2669)
@@ -624,5 +624,6 @@
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
                     else if (iflag_t_glace.ge.1) then
-                    zdelta = MAX(0.,SIGN(1.,t_glace_min-Tbef(i)))
+                    zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
+! BUG corrige par JYG   zdelta = MAX(0.,SIGN(1.,t_glace_min-Tbef(i)))
                     endif
                  endif
Index: /LMDZ5/branches/testing/libf/phylmd/iophy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/iophy.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/iophy.F90	(revision 2669)
@@ -17,5 +17,10 @@
 #ifdef CPP_XIOS
   INTERFACE histwrite_phy
-    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old,histwrite2d_xios,histwrite3d_xios
+!#ifdef CPP_XIOSnew
+    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old,histwrite2d_xios,histwrite3d_xios,histwrite0d_xios
+!#else
+!    MODULE PROCEDURE histwrite2d_phy,histwrite3d_phy,histwrite2d_phy_old,histwrite3d_phy_old,histwrite2d_xios,histwrite3d_xios
+!#endif
+
   END INTERFACE
 #else
@@ -1331,4 +1336,20 @@
   IF (prt_level >= 10) write(lunout,*)'End histrwrite3d_xios ',field_name
   END SUBROUTINE histwrite3d_xios
+
+#ifdef CPP_XIOS
+  SUBROUTINE histwrite0d_xios(field_name, field)
+  USE xios, only: xios_send_field
+  IMPLICIT NONE
+
+    CHARACTER(LEN=*), INTENT(IN) :: field_name
+    REAL, INTENT(IN) :: field ! --> scalar
+
+!$OMP MASTER
+   CALL xios_send_field(field_name, field)
+!$OMP END MASTER
+
+  END SUBROUTINE histwrite0d_xios
+#endif
+
 #endif
 end module iophy
Index: /LMDZ5/branches/testing/libf/phylmd/iophys.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/iophys.F90	(revision 2669)
+++ /LMDZ5/branches/testing/libf/phylmd/iophys.F90	(revision 2669)
@@ -0,0 +1,132 @@
+      subroutine iophys_ecrit(nom,lllm,titre,unite,px)
+      USE dimphy
+      USE mod_phys_lmdz_para
+      USE mod_grid_phy_lmdz
+      IMPLICIT NONE
+
+
+
+!  Ecriture de variables diagnostiques au choix dans la physique 
+!  dans un fichier NetCDF nomme  'diagfi'. Ces variables peuvent etre
+!  3d (ex : temperature), 2d (ex : temperature de surface), ou
+!  0d (pour un scalaire qui ne depend que du temps : ex : la longitude
+!  solaire)
+!  (ou encore 1d, dans le cas de testphys1d, pour sortir une colonne)
+!  La periode d'ecriture est donnee par 
+!  "ecritphy " regle dans le fichier de controle de run :  run.def
+!
+!    writediagfi peut etre appele de n'importe quelle subroutine
+!    de la physique, plusieurs fois. L'initialisation et la creation du
+!    fichier se fait au tout premier appel.
+!
+! WARNING : les variables dynamique (u,v,t,q,ps)
+!  sauvees par writediagfi avec une
+! date donnee sont legerement differentes que dans le fichier histoire car 
+! on ne leur a pas encore ajoute de la dissipation et de la physique !!!
+! IL est  RECOMMANDE d'ajouter les tendance physique a ces variables
+! avant l'ecriture dans diagfi (cf. physiq.F)
+!  
+! Modifs: Aug.2010 Ehouarn: enforce outputs to be real*4
+!
+!  parametres (input) :
+!  ----------
+!      unit : unite logique du fichier de sortie (toujours la meme)
+!      nom  : nom de la variable a sortir (chaine de caracteres)
+!      titre: titre de la variable (chaine de caracteres)
+!      unite : unite de la variable (chaine de caracteres)
+!      px : variable a sortir (real 0, 1, 2, ou 3d)
+!
+!=================================================================
+
+#include "dimensions.h"
+#include "paramet.h"
+#include "netcdf.inc"
+#include "iotd.h"
+
+
+! Arguments on input:
+      integer lllm
+      character (len=*) :: nom,titre,unite
+      integer imjmax
+      parameter (imjmax=100000)
+      real px(klon_omp,lllm)
+      real xglo(klon_glo,lllm)
+      real zx(iim,jjp1,lllm)
+
+
+      CALL Gather(px,xglo)
+!$OMP MASTER
+      IF (is_mpi_root) THEN       
+        CALL Grid1Dto2D_glo(xglo,zx)
+        call iotd_ecrit(nom,lllm,titre,unite,zx)
+      ENDIF
+!$OMP END MASTER
+
+      return
+      end
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      SUBROUTINE iophys_ini
+      USE mod_phys_lmdz_para
+      USE vertical_layers_mod, ONLY: presnivs
+      USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
+      USE dimphy, ONLY: klev
+
+      IMPLICIT NONE
+
+!=======================================================================
+!
+!   Auteur:  L. Fairhead  ,  P. Le Van, Y. Wanherdrick, F. Forget
+!   -------
+!
+!   Objet:
+!   ------
+!
+!   'Initialize' the diagfi.nc file: write down dimensions as well
+!   as time-independent fields (e.g: geopotential, mesh area, ...)
+!
+!=======================================================================
+!-----------------------------------------------------------------------
+!   Declarations:
+!   -------------
+
+real pi
+
+!   Arguments:
+!   ----------
+
+!$OMP MASTER
+    IF (is_mpi_root) THEN       
+pi=2.*asin(1.)
+call iotd_ini('phys.nc   ', &
+!iim,jjp1,llm,rlonv(1:iim)*180./pi,rlatu*180./pi,presnivs)
+size(lon_reg),size(lat_reg),klev,lon_reg(:)*180./pi,lat_reg*180./pi,presnivs)
+    ENDIF
+!$OMP END MASTER
+
+      END
+
+#ifdef und
+      SUBROUTINE gr_fi_ecrit(nfield,nlon,iim,jjmp1,fi,ecrit)
+      IMPLICIT none
+
+!=======================================================================
+      INTEGER nfield,nlon,iim,jjmp1, jjm
+      REAL fi(nlon,nfield), ecrit(iim*jjmp1,nfield)
+
+      INTEGER i, n, ig
+
+      jjm = jjmp1 - 1
+      DO n = 1, nfield
+         DO i=1,iim
+            ecrit(i,n) = fi(1,n)
+            ecrit(i+jjm*iim,n) = fi(nlon,n)
+         ENDDO
+         DO ig = 1, nlon - 2
+           ecrit(iim+ig,n) = fi(1+ig,n)
+         ENDDO
+      ENDDO
+      RETURN
+      END
+
+#endif
Index: /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2668)
+++ /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2669)
@@ -164,8 +164,4 @@
   diff_sst(:) = diff_sst_save(:)
   diff_siv(:) = diff_siv_save(:)
-! For Debug purpose
-!  PRINT *,'limit_slab sst',MINVAL(diff_sst(:)),MAXVAL(diff_sst(:))
-!  PRINT *,'limit_slab siv',MINVAL(diff_siv(:)),MAXVAL(diff_siv(:))
-!  PRINT *,'limit_slab bils',MINVAL(lmt_bils(:)),MAXVAL(lmt_bils(:))
 
 END SUBROUTINE limit_slab
